# Visualization
TKV3d
Select3D

# Select3D_ListIteratorOfListOfSensitive Class Reference

`#include <Select3D_ListIteratorOfListOfSensitive.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Select3D_ListIteratorOfListOfSensitive ()
Standard_EXPORT | Select3D_ListIteratorOfListOfSensitive (const Select3D_ListOfSensitive &L)
Standard_EXPORT void | Initialize (const Select3D_ListOfSensitive &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_Select3D_SensitiveEntity & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT Select3D_ListIteratorOfListOfSensitive::Select3D_ListIteratorOfListOfSensitive | ( |  | ) |

Standard_EXPORT Select3D_ListIteratorOfListOfSensitive::Select3D_ListIteratorOfListOfSensitive | ( | const Select3D_ListOfSensitive & | L | ) |

## Member Function Documentation

Standard_EXPORT void Select3D_ListIteratorOfListOfSensitive::Initialize | ( | const Select3D_ListOfSensitive & | L | ) |

Standard_Boolean Select3D_ListIteratorOfListOfSensitive::More | ( |  | ) | const

Standard_EXPORT void Select3D_ListIteratorOfListOfSensitive::Next | ( |  | ) |

void Select3D_ListIteratorOfListOfSensitive::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Select3D_ListIteratorOfListOfSensitive::operator new | ( | size_t | size | ) | `[inline]`

void* Select3D_ListIteratorOfListOfSensitive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Select3D_SensitiveEntity& Select3D_ListIteratorOfListOfSensitive::Value | ( |  | ) | const

## Field Documentation

Standard_Address Select3D_ListIteratorOfListOfSensitive::current `[private]`

Standard_Address Select3D_ListIteratorOfListOfSensitive::previous `[private]`

The documentation for this class was generated from the following file:

- Select3D_ListIteratorOfListOfSensitive.hxx